package b4j.jUINodes;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _appstart(RemoteObject _form1,RemoteObject _args) throws Exception{
try {
		Debug.PushSubsStack("AppStart (main) ","main",0,main.ba,main.mostCurrent,23);
if (RapidSub.canDelegate("appstart")) return main.remoteMe.runUserSub(false, "main","appstart", _form1, _args);
Debug.locals.put("Form1", _form1);
Debug.locals.put("Args", _args);
 BA.debugLineNum = 23;BA.debugLine="Sub AppStart (Form1 As Form, Args() As String)";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 24;BA.debugLine="MainForm = Form1";
Debug.ShouldStop(8388608);
main._mainform = _form1;
 BA.debugLineNum = 25;BA.debugLine="MainForm.RootPane.LoadLayout(\"Main\") 'Load the la";
Debug.ShouldStop(16777216);
main._mainform.runMethod(false,"getRootPane").runMethodAndSync(false,"LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("Main")));
 BA.debugLineNum = 26;BA.debugLine="MainForm.Show";
Debug.ShouldStop(33554432);
main._mainform.runVoidMethodAndSync ("Show");
 BA.debugLineNum = 28;BA.debugLine="imgFolderClosed.Initialize(File.DirAssets, \"Folde";
Debug.ShouldStop(134217728);
main._imgfolderclosed.runVoidMethod ("Initialize",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("FolderClosed.jpg")));
 BA.debugLineNum = 29;BA.debugLine="InitMenuBar";
Debug.ShouldStop(268435456);
_initmenubar();
 BA.debugLineNum = 31;BA.debugLine="DateTime.DateFormat = \"yyyy/MM/dd\"";
Debug.ShouldStop(1073741824);
main.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("yyyy/MM/dd"));
 BA.debugLineNum = 32;BA.debugLine="DatePicker1.DateFormat = \"yyyy/MM/dd\"";
Debug.ShouldStop(-2147483648);
main._datepicker1.runVoidMethod ("setDateFormat",BA.ObjectToString("yyyy/MM/dd"));
 BA.debugLineNum = 33;BA.debugLine="DatePicker1.DateTicks = DateTime.DateParse(\"2017/";
Debug.ShouldStop(1);
main._datepicker1.runMethod(true,"setDateTicks",main.__c.getField(false,"DateTime").runMethod(true,"DateParse",(Object)(RemoteObject.createImmutable("2017/04/25"))));
 BA.debugLineNum = 34;BA.debugLine="DatePicker1.Editable = False";
Debug.ShouldStop(2);
main._datepicker1.runMethod(true,"setEditable",main.__c.getField(true,"False"));
 BA.debugLineNum = 36;BA.debugLine="ColorPicker1.SelectedColor = fx.Colors.Red";
Debug.ShouldStop(8);
main._colorpicker1.runMethod(false,"setSelectedColor",main._fx.getField(false,"Colors").getField(false,"Red"));
 BA.debugLineNum = 38;BA.debugLine="FillChoiceBox1";
Debug.ShouldStop(32);
_fillchoicebox1();
 BA.debugLineNum = 39;BA.debugLine="ChoiceBox1.SelectedIndex = 0";
Debug.ShouldStop(64);
main._choicebox1.runMethod(true,"setSelectedIndex",BA.numberCast(int.class, 0));
 BA.debugLineNum = 41;BA.debugLine="FillComboBox1";
Debug.ShouldStop(256);
_fillcombobox1();
 BA.debugLineNum = 42;BA.debugLine="ComboBox1.SelectedIndex = 1";
Debug.ShouldStop(512);
main._combobox1.runMethod(true,"setSelectedIndex",BA.numberCast(int.class, 1));
 BA.debugLineNum = 44;BA.debugLine="TableView1.SetColumnSortable(2, False)";
Debug.ShouldStop(2048);
main._tableview1.runVoidMethod ("SetColumnSortable",(Object)(BA.numberCast(int.class, 2)),(Object)(main.__c.getField(true,"False")));
 BA.debugLineNum = 45;BA.debugLine="FillTableView";
Debug.ShouldStop(4096);
_filltableview();
 BA.debugLineNum = 47;BA.debugLine="InitSplitPane1";
Debug.ShouldStop(16384);
_initsplitpane1();
 BA.debugLineNum = 48;BA.debugLine="ckbVertical.Checked = SplitPane1.Vertical";
Debug.ShouldStop(32768);
main._ckbvertical.runMethod(true,"setChecked",main._splitpane1.runMethod(true,"getVertical"));
 BA.debugLineNum = 51;BA.debugLine="imgFolderOpen.Initialize(File.DirAssets, \"FolderO";
Debug.ShouldStop(262144);
main._imgfolderopen.runVoidMethod ("Initialize",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("FolderOpen.jpg")));
 BA.debugLineNum = 52;BA.debugLine="InitTreeViews";
Debug.ShouldStop(524288);
_inittreeviews();
 BA.debugLineNum = 53;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ckbcellselect_checkedchange(RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("ckbCellSelect_CheckedChange (main) ","main",0,main.ba,main.mostCurrent,136);
if (RapidSub.canDelegate("ckbcellselect_checkedchange")) return main.remoteMe.runUserSub(false, "main","ckbcellselect_checkedchange", _checked);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 136;BA.debugLine="Private Sub ckbCellSelect_CheckedChange(Checked As";
Debug.ShouldStop(128);
 BA.debugLineNum = 137;BA.debugLine="TableView1.SingleCellSelection = Checked";
Debug.ShouldStop(256);
main._tableview1.runMethod(true,"setSingleCellSelection",_checked);
 BA.debugLineNum = 138;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ckbvertical_checkedchange(RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("ckbVertical_CheckedChange (main) ","main",0,main.ba,main.mostCurrent,140);
if (RapidSub.canDelegate("ckbvertical_checkedchange")) return main.remoteMe.runUserSub(false, "main","ckbvertical_checkedchange", _checked);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 140;BA.debugLine="Private Sub ckbVertical_CheckedChange(Checked As B";
Debug.ShouldStop(2048);
 BA.debugLineNum = 141;BA.debugLine="SplitPane1.Vertical = Checked";
Debug.ShouldStop(4096);
main._splitpane1.runMethod(true,"setVertical",_checked);
 BA.debugLineNum = 142;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _datepicker1_valuechanged(RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("DatePicker1_ValueChanged (main) ","main",0,main.ba,main.mostCurrent,120);
if (RapidSub.canDelegate("datepicker1_valuechanged")) return main.remoteMe.runUserSub(false, "main","datepicker1_valuechanged", _value);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 120;BA.debugLine="Private Sub DatePicker1_ValueChanged (Value As Lon";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 122;BA.debugLine="Log(Value)";
Debug.ShouldStop(33554432);
main.__c.runVoidMethod ("Log",(Object)(BA.NumberToString(_value)));
 BA.debugLineNum = 123;BA.debugLine="Log(DateTime.Date(Value))";
Debug.ShouldStop(67108864);
main.__c.runVoidMethod ("Log",(Object)(main.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(_value))));
 BA.debugLineNum = 124;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _fillchoicebox1() throws Exception{
try {
		Debug.PushSubsStack("FillChoiceBox1 (main) ","main",0,main.ba,main.mostCurrent,241);
if (RapidSub.canDelegate("fillchoicebox1")) return main.remoteMe.runUserSub(false, "main","fillchoicebox1");
 BA.debugLineNum = 241;BA.debugLine="Private Sub FillChoiceBox1";
Debug.ShouldStop(65536);
 BA.debugLineNum = 242;BA.debugLine="ChoiceBox1.Items.AddAll(Array As String(\"Apple\",";
Debug.ShouldStop(131072);
main._choicebox1.runMethod(false,"getItems").runVoidMethod ("AddAll",(Object)(main.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {4},new Object[] {BA.ObjectToString("Apple"),BA.ObjectToString("Banana"),BA.ObjectToString("Orange"),RemoteObject.createImmutable("Kiwi")})))));
 BA.debugLineNum = 243;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _fillcombobox1() throws Exception{
try {
		Debug.PushSubsStack("FillComboBox1 (main) ","main",0,main.ba,main.mostCurrent,245);
if (RapidSub.canDelegate("fillcombobox1")) return main.remoteMe.runUserSub(false, "main","fillcombobox1");
 BA.debugLineNum = 245;BA.debugLine="Private Sub FillComboBox1";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 246;BA.debugLine="ComboBox1.Items.AddAll(Array As String(\"Bern\", \"P";
Debug.ShouldStop(2097152);
main._combobox1.runMethod(false,"getItems").runVoidMethod ("AddAll",(Object)(main.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {10},new Object[] {BA.ObjectToString("Bern"),BA.ObjectToString("Paris"),BA.ObjectToString("Berlin"),BA.ObjectToString("Wien"),BA.ObjectToString("Roma"),BA.ObjectToString("Madrid"),BA.ObjectToString("London"),BA.ObjectToString("Bruxel"),BA.ObjectToString("Stockholm"),RemoteObject.createImmutable("Praha")})))));
 BA.debugLineNum = 247;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _filltableview() throws Exception{
try {
		Debug.PushSubsStack("FillTableView (main) ","main",0,main.ba,main.mostCurrent,249);
if (RapidSub.canDelegate("filltableview")) return main.remoteMe.runUserSub(false, "main","filltableview");
RemoteObject _lsttable = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
 BA.debugLineNum = 249;BA.debugLine="Private Sub FillTableView";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 250;BA.debugLine="Private lstTable As List";
Debug.ShouldStop(33554432);
_lsttable = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("lstTable", _lsttable);
 BA.debugLineNum = 251;BA.debugLine="lstTable.Initialize";
Debug.ShouldStop(67108864);
_lsttable.runVoidMethod ("Initialize");
 BA.debugLineNum = 252;BA.debugLine="lstTable.Add(Array As Object(\"John\", \"WAYNE\", \"Lo";
Debug.ShouldStop(134217728);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("John")),RemoteObject.createImmutable(("WAYNE")),(RemoteObject.createImmutable("Los Angeles"))}))));
 BA.debugLineNum = 253;BA.debugLine="lstTable.Add(Array As Object(\"Ronald\", \"REGAN\", \"";
Debug.ShouldStop(268435456);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Ronald")),RemoteObject.createImmutable(("REGAN")),(RemoteObject.createImmutable("Washington"))}))));
 BA.debugLineNum = 254;BA.debugLine="lstTable.Add(Array As Object(\"Barak\", \"OBAMA\", \"C";
Debug.ShouldStop(536870912);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Barak")),RemoteObject.createImmutable(("OBAMA")),(RemoteObject.createImmutable("Chicago"))}))));
 BA.debugLineNum = 255;BA.debugLine="lstTable.Add(Array As Object(\"Robert\", \"REDFORD\",";
Debug.ShouldStop(1073741824);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Robert")),RemoteObject.createImmutable(("REDFORD")),(RemoteObject.createImmutable("San Francisco"))}))));
 BA.debugLineNum = 256;BA.debugLine="lstTable.Add(Array As Object(\"Julia\", \"ROBERTS\",";
Debug.ShouldStop(-2147483648);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Julia")),RemoteObject.createImmutable(("ROBERTS")),(RemoteObject.createImmutable("San Diego"))}))));
 BA.debugLineNum = 257;BA.debugLine="lstTable.Add(Array As Object(\"Meryl\", \"STREEP\", \"";
Debug.ShouldStop(1);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Meryl")),RemoteObject.createImmutable(("STREEP")),(RemoteObject.createImmutable("Sacramento"))}))));
 BA.debugLineNum = 258;BA.debugLine="lstTable.Add(Array As Object(\"Jodie\", \"FOSTER\", \"";
Debug.ShouldStop(2);
_lsttable.runVoidMethod ("Add",(Object)((RemoteObject.createNewArray("Object",new int[] {3},new Object[] {RemoteObject.createImmutable(("Jodie")),RemoteObject.createImmutable(("FOSTER")),(RemoteObject.createImmutable("San Diego"))}))));
 BA.debugLineNum = 259;BA.debugLine="TableView1.Items = lstTable";
Debug.ShouldStop(4);
main._tableview1.runMethod(false,"setItems",_lsttable);
 BA.debugLineNum = 260;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initmenubar() throws Exception{
try {
		Debug.PushSubsStack("InitMenuBar (main) ","main",0,main.ba,main.mostCurrent,189);
if (RapidSub.canDelegate("initmenubar")) return main.remoteMe.runUserSub(false, "main","initmenubar");
RemoteObject _mnutest = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");
RemoteObject _mnutest1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");
RemoteObject _mnutest11 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
RemoteObject _mnutest12 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");
RemoteObject _mnutest121 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
RemoteObject _mnutest122 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
RemoteObject _mnutest2 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
RemoteObject _mnuseparation = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _mnutest3 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
RemoteObject _mnutest4 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper");
 BA.debugLineNum = 189;BA.debugLine="Private Sub InitMenuBar";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 190;BA.debugLine="Private mnuTest As Menu";
Debug.ShouldStop(536870912);
_mnutest = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");Debug.locals.put("mnuTest", _mnutest);
 BA.debugLineNum = 191;BA.debugLine="mnuTest.Initialize(\"Test\", \"\")";
Debug.ShouldStop(1073741824);
_mnutest.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test")),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 193;BA.debugLine="Private mnuTest1 As Menu";
Debug.ShouldStop(1);
_mnutest1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");Debug.locals.put("mnuTest1", _mnutest1);
 BA.debugLineNum = 194;BA.debugLine="mnuTest1.Initialize(\"Test1\", \"\")";
Debug.ShouldStop(2);
_mnutest1.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test1")),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 195;BA.debugLine="mnuTest.MenuItems.Add(mnuTest1)";
Debug.ShouldStop(4);
_mnutest.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest1.getObject())));
 BA.debugLineNum = 197;BA.debugLine="Private mnuTest11 As MenuItem";
Debug.ShouldStop(16);
_mnutest11 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnuTest11", _mnutest11);
 BA.debugLineNum = 198;BA.debugLine="mnuTest11.Initialize(\"Test11\", \"mnuTest\")";
Debug.ShouldStop(32);
_mnutest11.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test11")),(Object)(RemoteObject.createImmutable("mnuTest")));
 BA.debugLineNum = 199;BA.debugLine="mnuTest11.Tag = \"Test11\"";
Debug.ShouldStop(64);
_mnutest11.runMethod(false,"setTag",RemoteObject.createImmutable(("Test11")));
 BA.debugLineNum = 200;BA.debugLine="mnuTest11.Image = imgFolderClosed";
Debug.ShouldStop(128);
_mnutest11.runMethod(false,"setImage",(main._imgfolderclosed.getObject()));
 BA.debugLineNum = 201;BA.debugLine="mnuTest1.MenuItems.Add(mnuTest11)";
Debug.ShouldStop(256);
_mnutest1.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest11.getObject())));
 BA.debugLineNum = 203;BA.debugLine="Private mnuTest12 As Menu";
Debug.ShouldStop(1024);
_mnutest12 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.MenuWrapper");Debug.locals.put("mnuTest12", _mnutest12);
 BA.debugLineNum = 204;BA.debugLine="mnuTest12.Initialize(\"Test12\", \"\")";
Debug.ShouldStop(2048);
_mnutest12.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test12")),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 205;BA.debugLine="mnuTest12.Tag = \"Test12\"";
Debug.ShouldStop(4096);
_mnutest12.runMethod(false,"setTag",RemoteObject.createImmutable(("Test12")));
 BA.debugLineNum = 206;BA.debugLine="mnuTest1.MenuItems.Add(mnuTest12)";
Debug.ShouldStop(8192);
_mnutest1.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest12.getObject())));
 BA.debugLineNum = 208;BA.debugLine="Private mnuTest121 As MenuItem";
Debug.ShouldStop(32768);
_mnutest121 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnuTest121", _mnutest121);
 BA.debugLineNum = 209;BA.debugLine="mnuTest121.Initialize(\"Test121\", \"mnuTest\")";
Debug.ShouldStop(65536);
_mnutest121.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test121")),(Object)(RemoteObject.createImmutable("mnuTest")));
 BA.debugLineNum = 210;BA.debugLine="mnuTest121.Tag = \"Test121\"";
Debug.ShouldStop(131072);
_mnutest121.runMethod(false,"setTag",RemoteObject.createImmutable(("Test121")));
 BA.debugLineNum = 211;BA.debugLine="mnuTest12.MenuItems.Add(mnuTest121)";
Debug.ShouldStop(262144);
_mnutest12.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest121.getObject())));
 BA.debugLineNum = 213;BA.debugLine="Private mnuTest122 As MenuItem";
Debug.ShouldStop(1048576);
_mnutest122 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnuTest122", _mnutest122);
 BA.debugLineNum = 214;BA.debugLine="mnuTest122.Initialize(\"Test122\", \"mnuTest\")";
Debug.ShouldStop(2097152);
_mnutest122.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test122")),(Object)(RemoteObject.createImmutable("mnuTest")));
 BA.debugLineNum = 215;BA.debugLine="mnuTest122.Tag = \"Test122\"";
Debug.ShouldStop(4194304);
_mnutest122.runMethod(false,"setTag",RemoteObject.createImmutable(("Test122")));
 BA.debugLineNum = 216;BA.debugLine="mnuTest12.MenuItems.Add(mnuTest122)";
Debug.ShouldStop(8388608);
_mnutest12.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest122.getObject())));
 BA.debugLineNum = 218;BA.debugLine="Private mnuTest2 As MenuItem";
Debug.ShouldStop(33554432);
_mnutest2 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnuTest2", _mnutest2);
 BA.debugLineNum = 219;BA.debugLine="mnuTest2.Initialize(\"Test2\", \"mnuTest\")";
Debug.ShouldStop(67108864);
_mnutest2.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test2")),(Object)(RemoteObject.createImmutable("mnuTest")));
 BA.debugLineNum = 220;BA.debugLine="mnuTest2.Tag = \"Test2\"";
Debug.ShouldStop(134217728);
_mnutest2.runMethod(false,"setTag",RemoteObject.createImmutable(("Test2")));
 BA.debugLineNum = 221;BA.debugLine="mnuTest.MenuItems.Add(mnuTest2)";
Debug.ShouldStop(268435456);
_mnutest.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest2.getObject())));
 BA.debugLineNum = 223;BA.debugLine="Private mnuSeparation As JavaObject";
Debug.ShouldStop(1073741824);
_mnuseparation = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("mnuSeparation", _mnuseparation);
 BA.debugLineNum = 224;BA.debugLine="mnuSeparation.InitializeNewInstance(\"javafx.scene";
Debug.ShouldStop(-2147483648);
_mnuseparation.runVoidMethod ("InitializeNewInstance",(Object)(BA.ObjectToString("javafx.scene.control.SeparatorMenuItem")),(Object)((main.__c.getField(false,"Null"))));
 BA.debugLineNum = 225;BA.debugLine="mnuTest.MenuItems.Add(mnuSeparation)";
Debug.ShouldStop(1);
_mnutest.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnuseparation.getObject())));
 BA.debugLineNum = 227;BA.debugLine="Private mnuTest3 As MenuItem";
Debug.ShouldStop(4);
_mnutest3 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnuTest3", _mnutest3);
 BA.debugLineNum = 228;BA.debugLine="mnuTest3.Initialize(\"Test3\", \"mnuTest\")";
Debug.ShouldStop(8);
_mnutest3.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test3")),(Object)(RemoteObject.createImmutable("mnuTest")));
 BA.debugLineNum = 229;BA.debugLine="mnuTest3.Tag = \"Test3\"";
Debug.ShouldStop(16);
_mnutest3.runMethod(false,"setTag",RemoteObject.createImmutable(("Test3")));
 BA.debugLineNum = 230;BA.debugLine="mnuTest.MenuItems.Add(mnuTest3)";
Debug.ShouldStop(32);
_mnutest.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest3.getObject())));
 BA.debugLineNum = 232;BA.debugLine="Private mnuTest4 As CheckMenuItem";
Debug.ShouldStop(128);
_mnutest4 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper");Debug.locals.put("mnuTest4", _mnutest4);
 BA.debugLineNum = 233;BA.debugLine="mnuTest4.Initialize(\"Test4\", \"mnuTest4\")";
Debug.ShouldStop(256);
_mnutest4.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("Test4")),(Object)(RemoteObject.createImmutable("mnuTest4")));
 BA.debugLineNum = 234;BA.debugLine="mnuTest4.Tag = \"Test4\"";
Debug.ShouldStop(512);
_mnutest4.runMethod(false,"setTag",RemoteObject.createImmutable(("Test4")));
 BA.debugLineNum = 235;BA.debugLine="mnuTest4.Selected = True";
Debug.ShouldStop(1024);
_mnutest4.runMethod(true,"setSelected",main.__c.getField(true,"True"));
 BA.debugLineNum = 236;BA.debugLine="mnuTest.MenuItems.Add(mnuTest4)";
Debug.ShouldStop(2048);
_mnutest.runMethod(false,"getMenuItems").runVoidMethod ("Add",(Object)((_mnutest4.getObject())));
 BA.debugLineNum = 238;BA.debugLine="MenuBar1.Menus.Add(mnuTest)";
Debug.ShouldStop(8192);
main._menubar1.runMethod(false,"getMenus").runVoidMethod ("Add",(Object)((_mnutest.getObject())));
 BA.debugLineNum = 239;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initsplitpane1() throws Exception{
try {
		Debug.PushSubsStack("InitSplitPane1 (main) ","main",0,main.ba,main.mostCurrent,262);
if (RapidSub.canDelegate("initsplitpane1")) return main.remoteMe.runUserSub(false, "main","initsplitpane1");
 BA.debugLineNum = 262;BA.debugLine="Private Sub InitSplitPane1";
Debug.ShouldStop(32);
 BA.debugLineNum = 263;BA.debugLine="SplitPane1.LoadLayout(\"UpperPane\")";
Debug.ShouldStop(64);
main._splitpane1.runVoidMethodAndSync ("LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("UpperPane")));
 BA.debugLineNum = 264;BA.debugLine="SplitPane1.LoadLayout(\"MiddlePane\")";
Debug.ShouldStop(128);
main._splitpane1.runVoidMethodAndSync ("LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("MiddlePane")));
 BA.debugLineNum = 265;BA.debugLine="SplitPane1.LoadLayout(\"LowerPane\")";
Debug.ShouldStop(256);
main._splitpane1.runVoidMethodAndSync ("LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("LowerPane")));
 BA.debugLineNum = 266;BA.debugLine="SplitPane1.DividerPositions = Array As Double(0.3";
Debug.ShouldStop(512);
main._splitpane1.runMethod(false,"setDividerPositions",RemoteObject.createNewArray("double",new int[] {2},new Object[] {BA.numberCast(double.class, 0.33),BA.numberCast(double.class, 0.66)}));
 BA.debugLineNum = 267;BA.debugLine="SplitPane1.SetSizeLimits(0, 100, 0)";
Debug.ShouldStop(1024);
main._splitpane1.runVoidMethod ("SetSizeLimits",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(double.class, 100)),(Object)(BA.numberCast(double.class, 0)));
 BA.debugLineNum = 268;BA.debugLine="SplitPane1.SetSizeLimits(1, 100, 0)";
Debug.ShouldStop(2048);
main._splitpane1.runVoidMethod ("SetSizeLimits",(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(double.class, 100)),(Object)(BA.numberCast(double.class, 0)));
 BA.debugLineNum = 269;BA.debugLine="SplitPane1.SetSizeLimits(2, 100, 0)";
Debug.ShouldStop(4096);
main._splitpane1.runVoidMethod ("SetSizeLimits",(Object)(BA.numberCast(int.class, 2)),(Object)(BA.numberCast(double.class, 100)),(Object)(BA.numberCast(double.class, 0)));
 BA.debugLineNum = 270;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _inittreeviews() throws Exception{
try {
		Debug.PushSubsStack("InitTreeViews (main) ","main",0,main.ba,main.mostCurrent,272);
if (RapidSub.canDelegate("inittreeviews")) return main.remoteMe.runUserSub(false, "main","inittreeviews");
int _i = 0;
RemoteObject _ti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
RemoteObject _cti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
RemoteObject _gcti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
RemoteObject _cbti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");
RemoteObject _cbcti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");
RemoteObject _cbgcti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");
 BA.debugLineNum = 272;BA.debugLine="Private Sub InitTreeViews";
Debug.ShouldStop(32768);
 BA.debugLineNum = 273;BA.debugLine="For i = 1 To 10";
Debug.ShouldStop(65536);
{
final int step1 = 1;
final int limit1 = 10;
for (_i = 1 ; (step1 > 0 && _i <= limit1) || (step1 < 0 && _i >= limit1); _i = ((int)(0 + _i + step1)) ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 274;BA.debugLine="Private ti As TreeItem";
Debug.ShouldStop(131072);
_ti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("ti", _ti);
 BA.debugLineNum = 275;BA.debugLine="ti.Initialize(\"TreeView1Item\", \"Item #\" & i)";
Debug.ShouldStop(262144);
_ti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView1Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 276;BA.debugLine="Private cti As TreeItem";
Debug.ShouldStop(524288);
_cti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("cti", _cti);
 BA.debugLineNum = 277;BA.debugLine="If i = 4 Then";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 4))) { 
 BA.debugLineNum = 278;BA.debugLine="cti.Initialize(\"TreeView1Item\", \"Child of Item";
Debug.ShouldStop(2097152);
_cti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView1Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Child of Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 279;BA.debugLine="ti.Children.Add(cti) 'add the child";
Debug.ShouldStop(4194304);
_ti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cti.getObject())));
 BA.debugLineNum = 280;BA.debugLine="ti.Image = imgFolderClosed";
Debug.ShouldStop(8388608);
_ti.runMethod(false,"setImage",(main._imgfolderclosed.getObject()));
 BA.debugLineNum = 281;BA.debugLine="Private gcti As TreeItem";
Debug.ShouldStop(16777216);
_gcti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("gcti", _gcti);
 BA.debugLineNum = 282;BA.debugLine="gcti.Initialize(\"TreeView1Item\", \"Grandchild of";
Debug.ShouldStop(33554432);
_gcti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView1Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Grandchild of Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 283;BA.debugLine="cti.Children.Add(gcti) 'add the grandchild";
Debug.ShouldStop(67108864);
_cti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_gcti.getObject())));
 BA.debugLineNum = 284;BA.debugLine="cti.Image = imgFolderClosed";
Debug.ShouldStop(134217728);
_cti.runMethod(false,"setImage",(main._imgfolderclosed.getObject()));
 }else {
 BA.debugLineNum = 286;BA.debugLine="cti.Initialize(\"TreeView1Item\", \"My father is I";
Debug.ShouldStop(536870912);
_cti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView1Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("My father is Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 287;BA.debugLine="ti.Children.Add(cti) 'add the child";
Debug.ShouldStop(1073741824);
_ti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cti.getObject())));
 BA.debugLineNum = 288;BA.debugLine="ti.Image = imgFolderClosed";
Debug.ShouldStop(-2147483648);
_ti.runMethod(false,"setImage",(main._imgfolderclosed.getObject()));
 };
 BA.debugLineNum = 290;BA.debugLine="TreeView1.Root.Children.Add(ti) 'add the father";
Debug.ShouldStop(2);
main._treeview1.runMethod(false,"getRoot").runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_ti.getObject())));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 293;BA.debugLine="TreeView2.SetCheckBoxesMode";
Debug.ShouldStop(16);
main._treeview2.runVoidMethod ("SetCheckBoxesMode");
 BA.debugLineNum = 294;BA.debugLine="For i = 1 To 10";
Debug.ShouldStop(32);
{
final int step21 = 1;
final int limit21 = 10;
for (_i = 1 ; (step21 > 0 && _i <= limit21) || (step21 < 0 && _i >= limit21); _i = ((int)(0 + _i + step21)) ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 295;BA.debugLine="Private cbti As CheckboxTreeItem";
Debug.ShouldStop(64);
_cbti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");Debug.locals.put("cbti", _cbti);
 BA.debugLineNum = 296;BA.debugLine="cbti.Initialize(\"TreeView2Item\", \"Item #\" & i)";
Debug.ShouldStop(128);
_cbti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView2Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 297;BA.debugLine="Private cbcti As CheckboxTreeItem";
Debug.ShouldStop(256);
_cbcti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");Debug.locals.put("cbcti", _cbcti);
 BA.debugLineNum = 298;BA.debugLine="If i = 4 Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 4))) { 
 BA.debugLineNum = 299;BA.debugLine="cbcti.Initialize(\"TreeView2Item\", \"Child of Ite";
Debug.ShouldStop(1024);
_cbcti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView2Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Child of Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 300;BA.debugLine="cbti.Children.Add(cbcti) 'add the child";
Debug.ShouldStop(2048);
_cbti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cbcti.getObject())));
 BA.debugLineNum = 301;BA.debugLine="Private cbgcti As CheckboxTreeItem";
Debug.ShouldStop(4096);
_cbgcti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.CheckBoxTreeItemWrapper");Debug.locals.put("cbgcti", _cbgcti);
 BA.debugLineNum = 302;BA.debugLine="cbgcti.Initialize(\"TreeView2Item\", \"Grandchild";
Debug.ShouldStop(8192);
_cbgcti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView2Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("Grandchild of Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 303;BA.debugLine="cbcti.Children.Add(cbgcti) 'add the grandchild";
Debug.ShouldStop(16384);
_cbcti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cbgcti.getObject())));
 }else {
 BA.debugLineNum = 305;BA.debugLine="cbcti.Initialize(\"TreeView2Item\", \"My father is";
Debug.ShouldStop(65536);
_cbcti.runVoidMethod ("Initialize",main.ba,(Object)(BA.ObjectToString("TreeView2Item")),(Object)(RemoteObject.concat(RemoteObject.createImmutable("My father is Item #"),RemoteObject.createImmutable(_i))));
 BA.debugLineNum = 306;BA.debugLine="cbti.Children.Add(cbcti) 'add the child";
Debug.ShouldStop(131072);
_cbti.runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cbcti.getObject())));
 };
 BA.debugLineNum = 308;BA.debugLine="TreeView2.Root.Children.Add(cbti) 'add the fathe";
Debug.ShouldStop(524288);
main._treeview2.runMethod(false,"getRoot").runMethod(false,"getChildren").runVoidMethod ("Add",(Object)((_cbti.getObject())));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 310;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _menubar1_action() throws Exception{
try {
		Debug.PushSubsStack("MenuBar1_Action (main) ","main",0,main.ba,main.mostCurrent,56);
if (RapidSub.canDelegate("menubar1_action")) return main.remoteMe.runUserSub(false, "main","menubar1_action");
RemoteObject _mnu = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
 BA.debugLineNum = 56;BA.debugLine="Private Sub MenuBar1_Action";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 57;BA.debugLine="Private mnu As MenuItem";
Debug.ShouldStop(16777216);
_mnu = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnu", _mnu);
 BA.debugLineNum = 59;BA.debugLine="mnu = Sender	'get the MenuItem which raised the e";
Debug.ShouldStop(67108864);
_mnu.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 61;BA.debugLine="Select mnu.Text";
Debug.ShouldStop(268435456);
switch (BA.switchObjectToInt(_mnu.runMethod(true,"getText"),BA.ObjectToString("_New"),BA.ObjectToString("_Save"),BA.ObjectToString("Checked Item"),BA.ObjectToString("_Close"),BA.ObjectToString("Cu_t"),BA.ObjectToString("_Copy"),BA.ObjectToString("_Paste"),BA.ObjectToString("Item With Tag"))) {
case 0: {
 BA.debugLineNum = 63;BA.debugLine="MainForm.Title = \"Menu File / New\"";
Debug.ShouldStop(1073741824);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu File / New"));
 break; }
case 1: {
 BA.debugLineNum = 65;BA.debugLine="MainForm.Title = \"Menu File / Save\"";
Debug.ShouldStop(1);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu File / Save"));
 break; }
case 2: {
 BA.debugLineNum = 67;BA.debugLine="MainForm.Title = \"Menu File / Checked Item\"";
Debug.ShouldStop(4);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu File / Checked Item"));
 break; }
case 3: {
 BA.debugLineNum = 69;BA.debugLine="MainForm.Title = \"Menu File / Close\"";
Debug.ShouldStop(16);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu File / Close"));
 break; }
case 4: {
 BA.debugLineNum = 71;BA.debugLine="MainForm.Title = \"Menu Edit / Cut\"";
Debug.ShouldStop(64);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Edit / Cut"));
 break; }
case 5: {
 BA.debugLineNum = 73;BA.debugLine="MainForm.Title = \"Menu Edit / Copy\"";
Debug.ShouldStop(256);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Edit / Copy"));
 break; }
case 6: {
 BA.debugLineNum = 75;BA.debugLine="MainForm.Title = \"Menu Edit / Paste\"";
Debug.ShouldStop(1024);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Edit / Paste"));
 break; }
case 7: {
 BA.debugLineNum = 77;BA.debugLine="MainForm.Title = \"Menu Help / Item With Tag\"";
Debug.ShouldStop(4096);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Help / Item With Tag"));
 break; }
}
;
 BA.debugLineNum = 79;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _menubar1_selectedchange(RemoteObject _selected) throws Exception{
try {
		Debug.PushSubsStack("MenuBar1_SelectedChange (main) ","main",0,main.ba,main.mostCurrent,81);
if (RapidSub.canDelegate("menubar1_selectedchange")) return main.remoteMe.runUserSub(false, "main","menubar1_selectedchange", _selected);
RemoteObject _cmi = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper");
Debug.locals.put("Selected", _selected);
 BA.debugLineNum = 81;BA.debugLine="Private Sub MenuBar1_SelectedChange(Selected As Bo";
Debug.ShouldStop(65536);
 BA.debugLineNum = 82;BA.debugLine="Private cmi As CheckMenuItem";
Debug.ShouldStop(131072);
_cmi = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.CheckMenuItemWrapper");Debug.locals.put("cmi", _cmi);
 BA.debugLineNum = 84;BA.debugLine="cmi = Sender";
Debug.ShouldStop(524288);
_cmi.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 86;BA.debugLine="Select cmi.Text";
Debug.ShouldStop(2097152);
switch (BA.switchObjectToInt(_cmi.runMethod(true,"getText"),BA.ObjectToString("Checked Item"))) {
case 0: {
 BA.debugLineNum = 88;BA.debugLine="MainForm.Title = \"Menu File / Checked Item selec";
Debug.ShouldStop(8388608);
main._mainform.runMethod(true,"setTitle",RemoteObject.concat(RemoteObject.createImmutable("Menu File / Checked Item selection"),_cmi.runMethod(true,"getSelected")));
 break; }
}
;
 BA.debugLineNum = 90;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mnu1234_action() throws Exception{
try {
		Debug.PushSubsStack("mnu1234_Action (main) ","main",0,main.ba,main.mostCurrent,93);
if (RapidSub.canDelegate("mnu1234_action")) return main.remoteMe.runUserSub(false, "main","mnu1234_action");
 BA.debugLineNum = 93;BA.debugLine="Private Sub mnu1234_Action";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 94;BA.debugLine="MainForm.Title = \"Menu Help / Item With Unique E";
Debug.ShouldStop(536870912);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Help / Item With Unique Event Name"));
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mnutest_action() throws Exception{
try {
		Debug.PushSubsStack("mnuTest_Action (main) ","main",0,main.ba,main.mostCurrent,97);
if (RapidSub.canDelegate("mnutest_action")) return main.remoteMe.runUserSub(false, "main","mnutest_action");
RemoteObject _mnu = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");
 BA.debugLineNum = 97;BA.debugLine="Private Sub mnuTest_Action";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="Private mnu As MenuItem";
Debug.ShouldStop(2);
_mnu = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.ConcreteMenuItemWrapper");Debug.locals.put("mnu", _mnu);
 BA.debugLineNum = 100;BA.debugLine="mnu = Sender";
Debug.ShouldStop(8);
_mnu.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 102;BA.debugLine="Select mnu.Tag";
Debug.ShouldStop(32);
switch (BA.switchObjectToInt(_mnu.runMethod(false,"getTag"),((RemoteObject.createImmutable("Test11"))),((RemoteObject.createImmutable("Test121"))),((RemoteObject.createImmutable("Test122"))),((RemoteObject.createImmutable("Test2"))),((RemoteObject.createImmutable("Test3"))))) {
case 0: {
 BA.debugLineNum = 104;BA.debugLine="MainForm.Title = \"Menu Test / Test11\"";
Debug.ShouldStop(128);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Test / Test11"));
 break; }
case 1: {
 BA.debugLineNum = 106;BA.debugLine="MainForm.Title = \"Menu Test / Test121\"";
Debug.ShouldStop(512);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Test / Test121"));
 break; }
case 2: {
 BA.debugLineNum = 108;BA.debugLine="MainForm.Title = \"Menu Test / Test122\"";
Debug.ShouldStop(2048);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Test / Test122"));
 break; }
case 3: {
 BA.debugLineNum = 110;BA.debugLine="MainForm.Title = \"Menu Test / Test2\"";
Debug.ShouldStop(8192);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Test / Test2"));
 break; }
case 4: {
 BA.debugLineNum = 112;BA.debugLine="MainForm.Title = \"Menu Test / Test3\"";
Debug.ShouldStop(32768);
main._mainform.runMethod(true,"setTitle",BA.ObjectToString("Menu Test / Test3"));
 break; }
}
;
 BA.debugLineNum = 114;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mnutest4_selectedchange(RemoteObject _selected) throws Exception{
try {
		Debug.PushSubsStack("mnuTest4_SelectedChange (main) ","main",0,main.ba,main.mostCurrent,116);
if (RapidSub.canDelegate("mnutest4_selectedchange")) return main.remoteMe.runUserSub(false, "main","mnutest4_selectedchange", _selected);
Debug.locals.put("Selected", _selected);
 BA.debugLineNum = 116;BA.debugLine="Private Sub mnuTest4_SelectedChange (Selected As B";
Debug.ShouldStop(524288);
 BA.debugLineNum = 117;BA.debugLine="MainForm.Title = \"Menu Test / Test4 checked = \" &";
Debug.ShouldStop(1048576);
main._mainform.runMethod(true,"setTitle",RemoteObject.concat(RemoteObject.createImmutable("Menu Test / Test4 checked = "),_selected));
 BA.debugLineNum = 118;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

private static boolean processGlobalsRun;
public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("b4j.jUINodes.main");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Private fx As JFX";
main._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");
 //BA.debugLineNum = 8;BA.debugLine="Private MainForm As Form";
main._mainform = RemoteObject.createNew ("anywheresoftware.b4j.objects.Form");
 //BA.debugLineNum = 10;BA.debugLine="Private MenuBar1 As MenuBar";
main._menubar1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.MenuItemWrapper.MenuBarWrapper");
 //BA.debugLineNum = 11;BA.debugLine="Private DatePicker1 As DatePicker";
main._datepicker1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.DatePickerWrapper");
 //BA.debugLineNum = 12;BA.debugLine="Private ColorPicker1 As ColorPicker";
main._colorpicker1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.ColorPickerWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Private TableView1 As TableView";
main._tableview1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.TableViewWrapper");
 //BA.debugLineNum = 14;BA.debugLine="Private SplitPane1 As SplitPane";
main._splitpane1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.SplitPaneWrapper");
 //BA.debugLineNum = 15;BA.debugLine="Private ckbVertical As CheckBox";
main._ckbvertical = RemoteObject.createNew ("anywheresoftware.b4j.objects.CheckboxWrapper");
 //BA.debugLineNum = 16;BA.debugLine="Private ComboBox1 As ComboBox";
main._combobox1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.ComboBoxWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Private ChoiceBox1 As ChoiceBox";
main._choicebox1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.ChoiceBoxWrapper");
 //BA.debugLineNum = 18;BA.debugLine="Private TreeView1, TreeView2 As TreeView";
main._treeview1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper");
main._treeview2 = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper");
 //BA.debugLineNum = 19;BA.debugLine="Private lblTableView, lblTreeView1, lblTreeView2";
main._lbltableview = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
main._lbltreeview1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
main._lbltreeview2 = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
 //BA.debugLineNum = 20;BA.debugLine="Private imgFolderClosed,imgFolderOpen As Image";
main._imgfolderclosed = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
main._imgfolderopen = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _tableview1_selectedcellchanged(RemoteObject _rowindex,RemoteObject _colindex,RemoteObject _cell) throws Exception{
try {
		Debug.PushSubsStack("TableView1_SelectedCellChanged (main) ","main",0,main.ba,main.mostCurrent,126);
if (RapidSub.canDelegate("tableview1_selectedcellchanged")) return main.remoteMe.runUserSub(false, "main","tableview1_selectedcellchanged", _rowindex, _colindex, _cell);
Debug.locals.put("RowIndex", _rowindex);
Debug.locals.put("ColIndex", _colindex);
Debug.locals.put("Cell", _cell);
 BA.debugLineNum = 126;BA.debugLine="Private Sub TableView1_SelectedCellChanged (RowInd";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 127;BA.debugLine="lblTableView.Text = \"Cell value = \" & Cell";
Debug.ShouldStop(1073741824);
main._lbltableview.runMethod(true,"setText",RemoteObject.concat(RemoteObject.createImmutable("Cell value = "),_cell));
 BA.debugLineNum = 128;BA.debugLine="Log(Cell)";
Debug.ShouldStop(-2147483648);
main.__c.runVoidMethod ("Log",(Object)(BA.ObjectToString(_cell)));
 BA.debugLineNum = 129;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _tableview1_selectedrowchanged(RemoteObject _index,RemoteObject _row) throws Exception{
try {
		Debug.PushSubsStack("TableView1_SelectedRowChanged (main) ","main",0,main.ba,main.mostCurrent,131);
if (RapidSub.canDelegate("tableview1_selectedrowchanged")) return main.remoteMe.runUserSub(false, "main","tableview1_selectedrowchanged", _index, _row);
Debug.locals.put("Index", _index);
Debug.locals.put("Row", _row);
 BA.debugLineNum = 131;BA.debugLine="Private Sub TableView1_SelectedRowChanged(Index As";
Debug.ShouldStop(4);
 BA.debugLineNum = 132;BA.debugLine="lblTableView.Text = \"Row index = \" & Index";
Debug.ShouldStop(8);
main._lbltableview.runMethod(true,"setText",RemoteObject.concat(RemoteObject.createImmutable("Row index = "),_index));
 BA.debugLineNum = 133;BA.debugLine="Log(Index)";
Debug.ShouldStop(16);
main.__c.runVoidMethod ("Log",(Object)(BA.NumberToString(_index)));
 BA.debugLineNum = 134;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _treeview1_selecteditemchanged(RemoteObject _selecteditem) throws Exception{
try {
		Debug.PushSubsStack("TreeView1_SelectedItemChanged (main) ","main",0,main.ba,main.mostCurrent,144);
if (RapidSub.canDelegate("treeview1_selecteditemchanged")) return main.remoteMe.runUserSub(false, "main","treeview1_selecteditemchanged", _selecteditem);
RemoteObject _ti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
Debug.locals.put("SelectedItem", _selecteditem);
 BA.debugLineNum = 144;BA.debugLine="Private Sub TreeView1_SelectedItemChanged(Selected";
Debug.ShouldStop(32768);
 BA.debugLineNum = 145;BA.debugLine="Private ti As TreeItem";
Debug.ShouldStop(65536);
_ti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("ti", _ti);
 BA.debugLineNum = 147;BA.debugLine="ti = SelectedItem";
Debug.ShouldStop(262144);
_ti = _selecteditem;Debug.locals.put("ti", _ti);
 BA.debugLineNum = 148;BA.debugLine="lblTreeView1.Text = ti.Text";
Debug.ShouldStop(524288);
main._lbltreeview1.runMethod(true,"setText",_ti.runMethod(true,"getText"));
 BA.debugLineNum = 149;BA.debugLine="Log(ti.Text)";
Debug.ShouldStop(1048576);
main.__c.runVoidMethod ("Log",(Object)(_ti.runMethod(true,"getText")));
 BA.debugLineNum = 150;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _treeview1item_expandedchanged(RemoteObject _expanded) throws Exception{
try {
		Debug.PushSubsStack("TreeView1Item_ExpandedChanged (main) ","main",0,main.ba,main.mostCurrent,152);
if (RapidSub.canDelegate("treeview1item_expandedchanged")) return main.remoteMe.runUserSub(false, "main","treeview1item_expandedchanged", _expanded);
RemoteObject _ti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
Debug.locals.put("Expanded", _expanded);
 BA.debugLineNum = 152;BA.debugLine="Private Sub TreeView1Item_ExpandedChanged(Expanded";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 153;BA.debugLine="Private ti As TreeItem";
Debug.ShouldStop(16777216);
_ti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("ti", _ti);
 BA.debugLineNum = 155;BA.debugLine="ti = Sender";
Debug.ShouldStop(67108864);
_ti.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 156;BA.debugLine="If Expanded = True Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",_expanded,main.__c.getField(true,"True"))) { 
 BA.debugLineNum = 157;BA.debugLine="ti.Image = imgFolderOpen";
Debug.ShouldStop(268435456);
_ti.runMethod(false,"setImage",(main._imgfolderopen.getObject()));
 }else {
 BA.debugLineNum = 159;BA.debugLine="ti.Image = imgFolderClosed";
Debug.ShouldStop(1073741824);
_ti.runMethod(false,"setImage",(main._imgfolderclosed.getObject()));
 };
 BA.debugLineNum = 161;BA.debugLine="lblTreeView1.Text = ti.Text & \" expended : \" & Ex";
Debug.ShouldStop(1);
main._lbltreeview1.runMethod(true,"setText",RemoteObject.concat(_ti.runMethod(true,"getText"),RemoteObject.createImmutable(" expended : "),_expanded));
 BA.debugLineNum = 162;BA.debugLine="Log(lblTreeView2.Text)";
Debug.ShouldStop(2);
main.__c.runVoidMethod ("Log",(Object)(main._lbltreeview2.runMethod(true,"getText")));
 BA.debugLineNum = 163;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _treeview2_selecteditemchanged(RemoteObject _selecteditem) throws Exception{
try {
		Debug.PushSubsStack("TreeView2_SelectedItemChanged (main) ","main",0,main.ba,main.mostCurrent,165);
if (RapidSub.canDelegate("treeview2_selecteditemchanged")) return main.remoteMe.runUserSub(false, "main","treeview2_selecteditemchanged", _selecteditem);
RemoteObject _ti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
Debug.locals.put("SelectedItem", _selecteditem);
 BA.debugLineNum = 165;BA.debugLine="Private Sub TreeView2_SelectedItemChanged(Selected";
Debug.ShouldStop(16);
 BA.debugLineNum = 166;BA.debugLine="Private ti As TreeItem";
Debug.ShouldStop(32);
_ti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("ti", _ti);
 BA.debugLineNum = 168;BA.debugLine="ti = SelectedItem";
Debug.ShouldStop(128);
_ti = _selecteditem;Debug.locals.put("ti", _ti);
 BA.debugLineNum = 169;BA.debugLine="lblTreeView2.Text = ti.Text";
Debug.ShouldStop(256);
main._lbltreeview2.runMethod(true,"setText",_ti.runMethod(true,"getText"));
 BA.debugLineNum = 170;BA.debugLine="Log(ti.Text)";
Debug.ShouldStop(512);
main.__c.runVoidMethod ("Log",(Object)(_ti.runMethod(true,"getText")));
 BA.debugLineNum = 171;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _treeview2item_checkedchange(RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("TreeView2Item_CheckedChange (main) ","main",0,main.ba,main.mostCurrent,173);
if (RapidSub.canDelegate("treeview2item_checkedchange")) return main.remoteMe.runUserSub(false, "main","treeview2item_checkedchange", _checked);
RemoteObject _cbti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 173;BA.debugLine="Private Sub TreeView2Item_CheckedChange(Checked As";
Debug.ShouldStop(4096);
 BA.debugLineNum = 174;BA.debugLine="Private cbti As TreeItem";
Debug.ShouldStop(8192);
_cbti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("cbti", _cbti);
 BA.debugLineNum = 176;BA.debugLine="cbti = Sender";
Debug.ShouldStop(32768);
_cbti.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 177;BA.debugLine="lblTreeView2.Text = cbti.Text & \" checked : \" &Ch";
Debug.ShouldStop(65536);
main._lbltreeview2.runMethod(true,"setText",RemoteObject.concat(_cbti.runMethod(true,"getText"),RemoteObject.createImmutable(" checked : "),_checked));
 BA.debugLineNum = 178;BA.debugLine="Log(lblTreeView1.Text)";
Debug.ShouldStop(131072);
main.__c.runVoidMethod ("Log",(Object)(main._lbltreeview1.runMethod(true,"getText")));
 BA.debugLineNum = 179;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _treeview2item_expandedchanged(RemoteObject _expanded) throws Exception{
try {
		Debug.PushSubsStack("TreeView2Item_ExpandedChanged (main) ","main",0,main.ba,main.mostCurrent,181);
if (RapidSub.canDelegate("treeview2item_expandedchanged")) return main.remoteMe.runUserSub(false, "main","treeview2item_expandedchanged", _expanded);
RemoteObject _cbti = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");
Debug.locals.put("Expanded", _expanded);
 BA.debugLineNum = 181;BA.debugLine="Private Sub TreeView2Item_ExpandedChanged(Expanded";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 182;BA.debugLine="Private cbti As TreeItem";
Debug.ShouldStop(2097152);
_cbti = RemoteObject.createNew ("anywheresoftware.b4j.objects.TreeViewWrapper.ConcreteTreeItemWrapper");Debug.locals.put("cbti", _cbti);
 BA.debugLineNum = 184;BA.debugLine="cbti = Sender";
Debug.ShouldStop(8388608);
_cbti.setObject(main.__c.runMethod(false,"Sender",main.ba));
 BA.debugLineNum = 185;BA.debugLine="lblTreeView2.Text = cbti.Text & \" expended : \" &";
Debug.ShouldStop(16777216);
main._lbltreeview2.runMethod(true,"setText",RemoteObject.concat(_cbti.runMethod(true,"getText"),RemoteObject.createImmutable(" expended : "),_expanded));
 BA.debugLineNum = 186;BA.debugLine="Log(lblTreeView2.Text)";
Debug.ShouldStop(33554432);
main.__c.runVoidMethod ("Log",(Object)(main._lbltreeview2.runMethod(true,"getText")));
 BA.debugLineNum = 187;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}